RecentResultsList (Deprecated)
RecentResultsList (Deprecated)
|
|
Headless v1 has been deprecated. We recommend using the latest version of the Coveo Headless library. |
Example implementation
recent-results.fn.tsx
import {RecentResultsList as HeadlessRecentResultsList} from '@coveo/headless';
import {useEffect, useState} from 'react';
export interface RecentResultsProps {
controller: HeadlessRecentResultsList;
}
export const RecentResultsList: React.FunctionComponent<RecentResultsProps> = (
props
) => {
const {controller} = props;
const [state, setState] = useState(controller.state);
useEffect(() => controller.subscribe(() => setState(controller.state)), []);
return (
<div>
Recent results:
<ul>
{state.results.map((result) => (
<li key={result.uniqueId}>{result.title}</li>
))}
</ul>
</div>
);
};
The RecentResultsList controller manages the user’s recent results.
Methods
clear
Clears the recent results list.
subscribe
Adds a callback that’s invoked on state change.
Parameters
-
listener:
() => voidA callback that’s invoked on state change.
Returns Unsubscribe: A function to remove the listener.
Attributes
state
The state of the RecentResultsList controller.
Properties
-
maxLength:
numberThe maximum number of results to retain in the list.
-
results:
Result[]The list of recent results.
Initialize
buildRecentResultsList
Creates a RecentResultsList controller instance.
Parameters
-
engine:
SearchEngineThe headless engine.
-
props:
RecentResultsListPropsThe configuration
RecentResultsListproperties.
Returns RecentResultsList
RecentResultsListProps
The configuration RecentResultsList properties.
Properties
-
initialState?:
RecentResultsListInitialStateThe initial state that should be applied to the
RecentResultsListcontroller. -
options?:
RecentResultsListOptionsThe configuration options that should be applied to the
RecentResultsListcontroller.
RecentResultsListInitialState
The initial state that should be applied to the RecentResultsList controller.
Properties
-
results:
Result[]The list of recent results.
Default:
[]
RecentResultsListOptions
The configuration options that should be applied to the RecentResultsList controller.
Properties
-
maxLength:
numberThe maximum number of results to retain in the list.
Default:
10
Related types
HighlightKeyword
Properties
-
length:
numberThe length of the offset.
-
offset:
numberThe 0 based offset inside the string where the highlight should start.
Raw
Properties
-
[key: string]:
unknownCustom keys that depend on the documents in the index.
Result
Properties
-
absentTerms:
string[]The basic query expression terms which this query result item does not match. Note: This property is populated by terms from the query pipeline-processed q value (not from the original q value).
-
clickUri:
stringThe hyperlinkable item URI. Notes: Use the clickUri value when you want to create hyperlinks to the item, rather than the uri or printableUri value.
-
excerpt:
stringThe contextual excerpt generated for the item (see the excerptLength query parameter).
-
excerptHighlights:
HighlightKeyword[]The length and offset of each word to highlight in the item excerpt string.
-
firstSentences:
stringThe first sentences retrieved from the item (see the retrieveFirstSentences query parameter).
-
firstSentencesHighlights:
HighlightKeyword[]The length and offset of each word to highlight in the item firstSentences string.
-
flags:
stringThe flags that are set on the item by the index. Distinct values are separated by semicolons.
-
hasHtmlVersion:
booleanWhether the index contains an HTML version of this item.
-
isRecommendation:
booleanWhether the item score was boosted as a Coveo ML recommendation.
-
isTopResult:
booleanWhether the item score was boosted by a featured result rule in the query pipeline.
-
percentScore:
numberThe item ranking score expressed as a percentage (see the sortCriteria and rankingFunctions query parameters).
-
printableUri:
stringThe human readable item URI. Note: Avoid using the printableUri value to create hyperlinks to the item. Use the clickUri value instead.
-
printableUriHighlights:
HighlightKeyword[]The length and offset of each word to highlight in the item printableUri string.
-
rankingInfo:
string | nullThe raw debug information generated by the index to detail how the item was ranked. This property is null unless the debug query parameter is set to true.
-
raw:
RawThe values of the fields which were retrieved for this item (see the fieldsToInclude and fieldsToExclude query parameters).
-
score:
numberThe total ranking score computed for the item (see the sortCriteria and rankingFunctions query parameters).
-
summary:
nullThe item summary (see the summaryLength query parameter).
-
summaryHighlights:
HighlightKeyword[]The length and offset of each word to highlight in the item summary string.
-
title:
stringContains the title of the item.
-
titleHighlights:
HighlightKeyword[]The length and offset of each word to highlight in the item title string.
-
uniqueId:
stringThe unique item identifier. You should consider the uniqueId value as an opaque string.
-
uri:
stringThe item URI. Notes: Avoid using the uri value to create hyperlinks to the item. Use the clickUri value instead.
-
rankingModifier?:
stringIf applicable, represents the type of ranking modification that was applied to this result.
Unsubscribe
Call signatures
-
(): void